org.fourthline.cling.transport.impl

## Class StreamServerConfigurationImpl

- java.lang.Object
- - org.fourthline.cling.transport.impl.StreamServerConfigurationImpl

- All Implemented Interfaces:
    StreamServerConfiguration

      public class StreamServerConfigurationImpl
      extends Object
      implements StreamServerConfiguration

  Settings for the default implementation.
  Author:
    Christian Bauer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamServerConfigurationImpl()` Defaults to port '0', ephemeral.
    `StreamServerConfigurationImpl(int listenPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getListenPort()`
    `int` | `getTcpConnectionBacklog()`
    `void` | `setListenPort(int listenPort)`
    `void` | `setTcpConnectionBacklog(int tcpConnectionBacklog)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamServerConfigurationImpl

          public StreamServerConfigurationImpl()

      Defaults to port '0', ephemeral.

    - #### StreamServerConfigurationImpl

          public StreamServerConfigurationImpl(int listenPort)

  - ### Method Detail

    - #### getListenPort

          public int getListenPort()

      Specified by:
        `getListenPort` in interface `StreamServerConfiguration`
      Returns:
        The TCP port to listen on for HTTP requests.

    - #### setListenPort

          public void setListenPort(int listenPort)

    - #### getTcpConnectionBacklog

          public int getTcpConnectionBacklog()

      Returns:
        Maximum number of queued incoming connections to allow on the listening socket, default is system default.

    - #### setTcpConnectionBacklog

          public void setTcpConnectionBacklog(int tcpConnectionBacklog)

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.